Bug 654442 - pidplugin and rhsmplugin should add to the yum "run with pkgs. list"
Summary: pidplugin and rhsmplugin should add to the yum "run with pkgs. list"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2010-11-17 21:19 UTC by Bryan Kearney
Modified: 2013-01-10 10:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:37:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description Bryan Kearney 2010-11-17 21:19:49 UTC
When running yum history info the line "Transactions performed with" line should list the pidplugin and probably the rhsm plugin. Per IRC conversation:

(04:08:37 PM) james: bkearney: If you have a RHEL-6 box, just run: yum history info
(04:09:29 PM) james: bkearney: There's a section in there called "Transaction performed with" … this is the list of packages that "did something" in the transaction
(04:10:07 PM) james: Given that the "pid" plugin changes the product from uninstalled to installed, it should be in that list.
(04:11:23 PM) james: It's arguable if the "rhsm" plugin should be in the list too, personally I'd say yes … but no isn't really wrong either
(04:12:00 PM) bkearney: I seerhsm plugin in the Loaded Plugins seciont
(04:12:48 PM) james: right … which is why I'd include it. But, at least in theory, the transaction would work the same without it
(04:13:34 PM) bkearney: so the bug is that "rhsm plugin should be listed in the TransactionPerformedWith section of yum history"
(04:13:37 PM) bkearney: Is that correct?
(04:15:05 PM) james: Well pidplugin should, yeh. And it wouldn't be a bad idea to list rhsm plugin too.
(04:15:21 PM) james: I also really don't mind if you just have a single plugin :)
(04:15:45 PM) bkearney: Only pid is used in Anaconda
(04:15:56 PM) bkearney: pid and rhsm are used in "real" yum
(04:17:15 PM) james: Ahh

Comment 2 James Bowes 2010-11-23 15:09:01 UTC
you'll see the subscription-manager rpm listed in yum history info now

Comment 4 John Sefler 2011-01-07 21:48:09 UTC
After running various yum erases and installs of packages through an entitlement granted repo, here is some of the yum history...

[root@jsefler-dev2-1 ~]# yum history list
Loaded plugins: product-id, refresh-packagekit, rhnplugin, subscription-manager
Updating Red Hat repositories.
WARNING:rhsm.certificate:No product information in certificate: 171294433953388136
INFO:repolib:repos updated: 0
WARNING:rhsm.certificate:No product information in certificate: 171294433953388136
ID     | Login user             | Date and time    | Action(s)      | Altered
-------------------------------------------------------------------------------
   236 | root <root>            | 2011-01-07 09:17 | Erase          |    1   
   235 | root <root>            | 2011-01-07 09:17 | Install        |    1   
   234 | root <root>            | 2011-01-07 09:16 | Erase          |    1   
   233 | root <root>            | 2011-01-07 09:16 | Install        |    1   
   232 | root <root>            | 2011-01-07 09:16 | Erase          |    1   
   231 | root <root>            | 2011-01-07 09:16 | Install        |    1   
   230 | root <root>            | 2011-01-07 09:16 | Erase          |    1   
   229 | root <root>            | 2011-01-07 09:15 | Install        |    1   
   228 | root <root>            | 2011-01-07 00:03 | Install        |    1   
   227 | root <root>            | 2011-01-07 00:02 | Install        |    1   
   226 | root <root>            | 2011-01-07 00:02 | Install        |    1   
   225 | root <root>            | 2011-01-07 00:02 | Install        |    1  <
   224 | root <root>            | 2011-01-06 04:26 | Erase          |    1 > 
   223 | root <root>            | 2011-01-06 04:26 | Install        |    1   
   222 | root <root>            | 2011-01-06 04:25 | Erase          |    1   
   221 | root <root>            | 2011-01-06 04:25 | Install        |    1   
   220 | root <root>            | 2011-01-06 04:25 | Erase          |    1   
   219 | root <root>            | 2011-01-06 04:25 | Install        |    1   
   218 | root <root>            | 2011-01-06 04:25 | Erase          |    1   
   217 | root <root>            | 2011-01-06 04:24 | Install        |    1   
history list



[root@jsefler-dev2-1 ~]# yum history info 236
Loaded plugins: product-id, refresh-packagekit, rhnplugin, subscription-manager
Updating Red Hat repositories.
WARNING:rhsm.certificate:No product information in certificate: 171294433953388136
INFO:repolib:repos updated: 0
WARNING:rhsm.certificate:No product information in certificate: 171294433953388136
Transaction ID : 236
Begin time     : Fri Jan  7 09:17:20 2011
Begin rpmdb    : 1177:6ec7b030e53d3e1ef1ffd0c5c3e9893105692ce3
End time       :            09:17:25 2011 (5 seconds)
End rpmdb      : 1176:6218540d5f6b75c4d0da3674f3a4f3b9ee271e7e
User           : root <root>
Return-Code    : Success
Transaction performed with:
    Installed    rpm-4.8.0-12.el6.x86_64
    Installed    subscription-manager-0.93.9-1.git.15.3545a2a.el6.x86_64
    Installed    yum-3.2.27-14.el6_0.1.noarch
Packages Altered:
    Erase        cmirror-2.02.72-8.el6.x86_64
history info



[root@jsefler-dev2-1 ~]# yum history info 235
Loaded plugins: product-id, refresh-packagekit, rhnplugin, subscription-manager
Updating Red Hat repositories.
WARNING:rhsm.certificate:No product information in certificate: 171294433953388136
INFO:repolib:repos updated: 0
WARNING:rhsm.certificate:No product information in certificate: 171294433953388136
Transaction ID : 235
Begin time     : Fri Jan  7 09:17:14 2011
Begin rpmdb    : 1176:6218540d5f6b75c4d0da3674f3a4f3b9ee271e7e
End time       :            09:17:16 2011 (2 seconds)
End rpmdb      : 1177:6ec7b030e53d3e1ef1ffd0c5c3e9893105692ce3
User           : root <root>
Return-Code    : Success
Transaction performed with:
    Installed    rpm-4.8.0-12.el6.x86_64
    Installed    subscription-manager-0.93.9-1.git.15.3545a2a.el6.x86_64
    Installed    yum-3.2.27-14.el6_0.1.noarch
    Installed    yum-metadata-parser-1.1.2-14.1.el6.x86_64
Packages Altered:
    Install      cmirror-2.02.72-8.el6.x86_64
history info



[root@jsefler-dev2-1 ~]# yum history info 234
Loaded plugins: product-id, refresh-packagekit, rhnplugin, subscription-manager
Updating Red Hat repositories.
WARNING:rhsm.certificate:No product information in certificate: 171294433953388136
INFO:repolib:repos updated: 0
WARNING:rhsm.certificate:No product information in certificate: 171294433953388136
Transaction ID : 234
Begin time     : Fri Jan  7 09:16:53 2011
Begin rpmdb    : 1177:7fef135c4b3247f1db8441e9626573756c2d0c19
End time       :            09:16:57 2011 (4 seconds)
End rpmdb      : 1176:6218540d5f6b75c4d0da3674f3a4f3b9ee271e7e
User           : root <root>
Return-Code    : Success
Transaction performed with:
    Installed    rpm-4.8.0-12.el6.x86_64
    Installed    subscription-manager-0.93.9-1.git.15.3545a2a.el6.x86_64
    Installed    yum-3.2.27-14.el6_0.1.noarch
Packages Altered:
    Erase        xfsprogs-3.1.1-4.el6.i686
history info



^^^  IN EACH CASE OF yum history info, I SEE subscription-manager IN THE Transaction performed with LINE. Moving to VERIFIED...

Comment 5 errata-xmlrpc 2011-05-19 13:37:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.